<?php
# script à inclure pour implémenter _cli_simple_launcher.php
# les constantes suivantes doivent être définies AVANT de chager ce script:
# - NULIB_APP_app_params : paramètres du projet

use nur\sery\os\path;
use nur\sery\wip\app\app2;

if ($argc <= 1) die("invalid arguments");
app2::init(NULIB_APP_app_params);
$app = $argv[1];
if (class_exists($app)) {
  # la configuration est celle actuellement chargée
  array_splice($argv, 1, 1);
  $argc--;
  $app::run();
} elseif (is_executable($app)) {
  # la configuration est passée par une variable d'environnement
  app2::params_putenv();
  pcntl_exec($app, array_slice($argv, 1));
} else {
  # la configuration est celle actuellement chargée
  array_splice($argv, 0, 1);
  $argc--;
  $name = preg_replace('/\.php$/', "", path::basename($app));
  app2::init([
    "name" => $name,
  ]);
  require $app;
}
